Subject: Re: how was debate on _GNU_SOURCE resolved? can't find pthread_getattr_np
From: mike marchywka <[email-masked]>
To: [email-masked]
Date: Sat, 27 Mar 2010 12:38:56 -0400
List-Id: <cygwin.cygwin.com>

>
> I must be missing the joke.

no, you finally answered the question. I didn't know they were non
existent until I checked the headers. Not being familiar with the
issue I thought they might exist if I set the flag.

>
>>Grepping through the pthread header however I don't see any indication
>>the things the compiler is complaining about exist. It seems however
>>the _GNU_SOURCE flag comes up in many headers in the include dir.
>
> You're conflating things here.  This has nothing to do with _GNU_SOURCE.
> Defining _GNU_SOURCE isn't going to cause nonexistent functions to show
> up.  The fact that you can't find the functions in a header file should
> be a clue.  The functions simply don't exist on Cygwin.

I could have missed something and maybe I just needed to install something
new or dropped a package- they didn't have to be in a pthread header...
. So I guess then the question is what replaces this or if you have a link to
the issues here- why aren't these part of cygwin?

thanks.

>
> cgf
>
> --
> Problem reports:       http://cygwin.com/problems.html
> FAQ:                   http://cygwin.com/faq/
> Documentation:         http://cygwin.com/docs.html
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>
>

-- 
[email-masked]
note new address 2009-12-16:
Mike Marchywka
1975 Village Round
Marietta GA 30064
415-264-8477 (w)<- use this
404-788-1216 (C)<- leave message
989-348-4796 (P)<- emergency only
[email-masked]
Note: If I am asking for free stuff, I normally use for hobby/non-profit
information but may use in investment forums, public and private.
Please indicate any concerns if applicable.
Note: hotmail is censoring incoming mail using random criteria beyond
my control and often hangs my browser
but all my subscriptions are here..., try also [email-masked]

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple